package com.ruoyi.sy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 组卷题目对象 sy_test_question
 * 
 * @author mingxue
 * @date 2022-03-02
 */
public class SyTestQuestion extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 试题id */
    private Long questionId;

    /** 试卷id */
    @Excel(name = "试卷id")
    private Long paperId;

    /** 序号 */
    @Excel(name = "序号")
    private Long seq;

    /** 试题-题干 */
    @Excel(name = "试题-题干")
    private String title;

    /** 选项A */
    @Excel(name = "选项A")
    private String optionA;

    /** 选项B */
    @Excel(name = "选项B")
    private String optionB;

    /** 选项C */
    @Excel(name = "选项C")
    private String optionC;

    /** 选项D */
    @Excel(name = "选项D")
    private String optionD;

    /** 选项E */
    @Excel(name = "选项E")
    private String optionE;

    /** 选项值A */
    @Excel(name = "选项值A")
    private String valueA;

    /** 选项值B */
    @Excel(name = "选项值B")
    private String valueB;

    /** 选项值C */
    @Excel(name = "选项值C")
    private String valueC;

    /** 选项值D */
    @Excel(name = "选项值D")
    private String valueD;

    /** 选项值E */
    @Excel(name = "选项值E")
    private String valueE;

    /** 统计类别 */
    @Excel(name = "统计类别")
    private String quesitonCateogry;

    /** $column.columnComment */
    @Excel(name = "统计类别")
    private String answer1;

    /** 非标准格式答案或含部分过程说明的答案 */
    @Excel(name = "非标准格式答案或含部分过程说明的答案")
    private String answer2;

    /** 试题解析 */
    @Excel(name = "试题解析")
    private String parse;

    /** 分值 */
    @Excel(name = "分值")
    private Long score;

    /** 试题题型 单选 评分单选，评分多先 */
    @Excel(name = "试题题型 单选 评分单选，评分多先")
    private String qtpye;

    public void setQuestionId(Long questionId) 
    {
        this.questionId = questionId;
    }

    public Long getQuestionId() 
    {
        return questionId;
    }
    public void setPaperId(Long paperId) 
    {
        this.paperId = paperId;
    }

    public Long getPaperId() 
    {
        return paperId;
    }
    public void setSeq(Long seq) 
    {
        this.seq = seq;
    }

    public Long getSeq() 
    {
        return seq;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setOptionA(String optionA) 
    {
        this.optionA = optionA;
    }

    public String getOptionA() 
    {
        return optionA;
    }
    public void setOptionB(String optionB) 
    {
        this.optionB = optionB;
    }

    public String getOptionB() 
    {
        return optionB;
    }
    public void setOptionC(String optionC) 
    {
        this.optionC = optionC;
    }

    public String getOptionC() 
    {
        return optionC;
    }
    public void setOptionD(String optionD) 
    {
        this.optionD = optionD;
    }

    public String getOptionD() 
    {
        return optionD;
    }
    public void setOptionE(String optionE) 
    {
        this.optionE = optionE;
    }

    public String getOptionE() 
    {
        return optionE;
    }
    public void setValueA(String valueA) 
    {
        this.valueA = valueA;
    }

    public String getValueA() 
    {
        return valueA;
    }
    public void setValueB(String valueB) 
    {
        this.valueB = valueB;
    }

    public String getValueB() 
    {
        return valueB;
    }
    public void setValueC(String valueC) 
    {
        this.valueC = valueC;
    }

    public String getValueC() 
    {
        return valueC;
    }
    public void setValueD(String valueD) 
    {
        this.valueD = valueD;
    }

    public String getValueD() 
    {
        return valueD;
    }
    public void setValueE(String valueE) 
    {
        this.valueE = valueE;
    }

    public String getValueE() 
    {
        return valueE;
    }
    public void setQuesitonCateogry(String quesitonCateogry) 
    {
        this.quesitonCateogry = quesitonCateogry;
    }

    public String getQuesitonCateogry() 
    {
        return quesitonCateogry;
    }
    public void setAnswer1(String answer1) 
    {
        this.answer1 = answer1;
    }

    public String getAnswer1() 
    {
        return answer1;
    }
    public void setAnswer2(String answer2) 
    {
        this.answer2 = answer2;
    }

    public String getAnswer2() 
    {
        return answer2;
    }
    public void setParse(String parse) 
    {
        this.parse = parse;
    }

    public String getParse() 
    {
        return parse;
    }
    public void setScore(Long score) 
    {
        this.score = score;
    }

    public Long getScore() 
    {
        return score;
    }
    public void setQtpye(String qtpye) 
    {
        this.qtpye = qtpye;
    }

    public String getQtpye() 
    {
        return qtpye;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("questionId", getQuestionId())
            .append("paperId", getPaperId())
            .append("seq", getSeq())
            .append("title", getTitle())
            .append("optionA", getOptionA())
            .append("optionB", getOptionB())
            .append("optionC", getOptionC())
            .append("optionD", getOptionD())
            .append("optionE", getOptionE())
            .append("valueA", getValueA())
            .append("valueB", getValueB())
            .append("valueC", getValueC())
            .append("valueD", getValueD())
            .append("valueE", getValueE())
            .append("quesitonCateogry", getQuesitonCateogry())
            .append("answer1", getAnswer1())
            .append("answer2", getAnswer2())
            .append("parse", getParse())
            .append("score", getScore())
            .append("qtpye", getQtpye())
            .append("createTime", getCreateTime())
            .toString();
    }
}
